"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getInstalledPackageVersion = void 0;
const devkit_1 = require("@nx/devkit");
const semver_1 = require("semver");
function getInstalledPackageVersion(tree, packageName, defaultVersion, raw = false) {
    const pkgJson = (0, devkit_1.readJson)(tree, 'package.json');
    const installedPackageVersion = (pkgJson.dependencies && pkgJson.dependencies[packageName]) ||
        (pkgJson.devDependencies && pkgJson.devDependencies[packageName]);
    if (!installedPackageVersion && !defaultVersion) {
        return null;
    }
    if (!installedPackageVersion ||
        installedPackageVersion === 'latest' ||
        installedPackageVersion === 'next') {
        return (0, semver_1.clean)(defaultVersion) ?? (0, semver_1.coerce)(defaultVersion).version;
    }
    return ((raw ? installedPackageVersion : (0, semver_1.clean)(installedPackageVersion)) ??
        (0, semver_1.coerce)(installedPackageVersion).version);
}
exports.getInstalledPackageVersion = getInstalledPackageVersion;
//# sourceMappingURL=version-utils.js.map